> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# mailbox bijwerken

> Werkt profielvelden van de klantmailbox bij.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json PATCH /v1/public/accounts/{account_id}/mailboxes/{mailbox}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/mailboxes/{mailbox}:
    patch:
      tags:
        - public-accounts
        - public-mailboxes
      summary: mailbox bijwerken
      description: Werkt profielvelden van de klantmailbox bij.
      operationId: >-
        update_public_mailbox_v1_public_accounts__account_id__mailboxes__mailbox__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: mailbox
          required: true
          schema:
            title: Mailbox
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MailboxUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    MailboxUpdateRequest:
      additionalProperties: false
      description: Klantgerichte mailbox-updateaanvraag.
      properties:
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Voornaam
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Achternaam
      title: MailboxUpdateRequest
      type: object
    MailboxDTO:
      properties:
        aliases:
          description: Aliassen voor de mailbox
          items:
            $ref: '#/components/schemas/MailboxAliasDTO'
          title: Aliassen
          type: array
        created_at:
          description: Tijdstempel voor het maken van postvakken
          title: Aangemaakt op
          type: string
        domain_id:
          description: Domein UUID voor de mailbox
          format: uuid
          title: Domein-id
          type: string
        domain_name:
          description: Domeinnaam voor de mailbox
          title: domein naam
          type: string
        first_name:
          description: Voornaam van mailboxgebruiker
          title: Voornaam
          type: string
        id:
          description: Postbus UUID
          format: uuid
          title: ID
          type: string
        last_name:
          description: Achternaam van postbusgebruiker
          title: Achternaam
          type: string
        local_part:
          description: Postbus lokaal gedeelte vóór het apenstaartje
          title: Lokaal deel
          type: string
        primary_email:
          description: E-mailadres van primaire mailbox
          title: primair e-mail
          type: string
        quota:
          $ref: '#/components/schemas/MailboxQuotaDTO'
          description: Gebruik van mailboxquota
        status:
          description: Levenscyclusstatus van postbus
          title: Status
          type: string
        updated_at:
          description: Tijdstempel laatste update postbus
          title: Bijgewerkt op
          type: string
        workspace_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Werkruimte UUID voor de brievenbus
          title: werkruimte ID
        workspace_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Weergavenaam van werkruimte
          title: werkruimte naam
      required:
        - id
        - domain_id
        - primary_email
        - domain_name
        - local_part
        - first_name
        - last_name
        - status
        - quota
        - created_at
        - updated_at
      title: MailboxDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    MailboxAliasDTO:
      properties:
        alias:
          description: Mailboxalias e-mailadres
          title: Alias
          type: string
        is_catch_all:
          default: false
          description: Of deze alias alle ongeëvenaarde lokale delen opvangt
          title: Is catch-all
          type: boolean
      required:
        - alias
      title: MailboxAliasDTO
      type: object
    MailboxQuotaDTO:
      description: Klantgerichte mailboxquotum-DTO.
      properties:
        allowed:
          description: Opslagruimte voor brievenbussen
          title: Toegestaan
          type: integer
        used:
          description: Postbusopslag gebruikt
          title: Gebruikt
          type: integer
      required:
        - used
        - allowed
      title: MailboxQuotaDTO
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````